Skip to main content
POST
/
payroll-groups
Create Payroll Group
curl --request POST \
  --url https://api.roostedhr.com/api/1_12/payroll-groups \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "name": "<string>",
  "payroll_item_id": "<string>",
  "invoice_cost": "<string>",
  "locationAll": true,
  "locations": [
    "<string>"
  ],
  "group_rows": [
    "<string>"
  ],
  "wage_rules_id": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "payroll_item_id": "<string>",
  "default_wage": 123,
  "insert_date": "<string>",
  "invoice_cost": 123,
  "deleted": 0,
  "wage_rules_id": "<string>",
  "group_rows": [
    "<string>"
  ],
  "locations": [
    "<string>"
  ],
  "pending": true,
  "updateError": true,
  "deleteError": true
}

Authorizations

X-API-KEY
string
header
required

Body

application/json

Payroll Group Request Body

name
string
payroll_item_id
string
invoice_cost
string
locationAll
boolean
locations
string[]
group_rows
string[]
wage_rules_id
string

Response

OK

id
string
name
string
payroll_item_id
string
default_wage
number<float> | null
insert_date
string
invoice_cost
number<float> | null
deleted
integer
Required range: 0 <= x <= 1
wage_rules_id
string
group_rows
string[]
locations
string[]
pending
boolean
updateError
boolean
deleteError
boolean